aboutsummaryrefslogtreecommitdiff
path: root/sh/shrc.d
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-12-17 19:30:40 +1300
committerTom Ryder <tom@sanctum.geek.nz>2016-12-17 19:30:40 +1300
commit11b4fc709805b3e3f106e0b39d55b4ea2e608afc (patch)
tree927f3230d0a26a117ad8490837ac652c32141c7e /sh/shrc.d
parentRemove for loop from ksh prompt def (diff)
downloaddotfiles-11b4fc709805b3e3f106e0b39d55b4ea2e608afc.tar.gz
dotfiles-11b4fc709805b3e3f106e0b39d55b4ea2e608afc.zip
Add a second version check to detect ksh
Diffstat (limited to 'sh/shrc.d')
-rw-r--r--sh/shrc.d/ksh.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/sh/shrc.d/ksh.sh b/sh/shrc.d/ksh.sh
index 9cb72e8e..5e9fee3b 100644
--- a/sh/shrc.d/ksh.sh
+++ b/sh/shrc.d/ksh.sh
@@ -2,7 +2,7 @@
# configuration if it was defined or if we can find it. Bash and Zsh invoke
# their own rc files first, which I've written to then look for ~/.shrc; ksh
# does it the other way around.
-[ -n "$KSH_VERSION" ] || return
+[ -n "$KSH_VERSION" ] || [ -n "${.sh.version}" ] || return
[ -n "$KSH_ENV" ] || KSH_ENV=$HOME/.kshrc
[ -f "$KSH_ENV" ] || return
. "$KSH_ENV"